Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(53)

Issue 2698183002: [tab_container] Consolidate tabStrip into tab_container. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months ago by edchin
Modified:
8 months ago
CC:
chromium-reviews, marq+scrutinize_chromium.org, lpromero+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[tab_container] Consolidate tabStrip into tab_container. Deleting tab_strip code will be done in another CL. BUG=none. Review-Url: https://codereview.chromium.org/2698183002 Cr-Commit-Position: refs/heads/master@{#451934} Committed: https://chromium.googlesource.com/chromium/src/+/464d5670735ec69e99f5b139a17ebc1c4383dd06

Patch Set 1 #

Total comments: 7

Patch Set 2 : Convert to abstract base class. Separate common constraints. #

Total comments: 4

Patch Set 3 : Call subclass not ABC. #

Patch Set 4 : Address comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+179 lines, -180 lines) Patch
M ios/clean/chrome/browser/ui/tab/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab/tab_container_view_controller.h View 1 2 chunks +7 lines, -3 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm View 1 2 3 5 chunks +149 lines, -173 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab/tab_coordinator.mm View 1 2 2 chunks +15 lines, -0 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_grid/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M ios/clean/chrome/browser/ui/tab_grid/tab_grid_coordinator.mm View 2 chunks +2 lines, -3 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_grid/tab_grid_view_controller.mm View 1 chunk +4 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 20 (8 generated)
edchin
8 months ago (2017-02-16 06:56:24 UTC) #2
marq (ping after 24h)
https://codereview.chromium.org/2698183002/diff/1/ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm File ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm (left): https://codereview.chromium.org/2698183002/diff/1/ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm#oldcode251 ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm:251: @implementation TopToolbarTabViewController I would like to keep TopToolbar and ...
8 months ago (2017-02-16 12:55:56 UTC) #3
edchin
PTAL. I've incorporated marq's comments but commented my preference and opinions. https://codereview.chromium.org/2698183002/diff/1/ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm File ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm (left): ...
8 months ago (2017-02-16 16:12:05 UTC) #4
marq (ping after 24h)
https://codereview.chromium.org/2698183002/diff/1/ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm File ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm (right): https://codereview.chromium.org/2698183002/diff/1/ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm#newcode269 ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm:269: if (!self.constraints) { On 2017/02/16 16:12:05, edchin wrote: > ...
8 months ago (2017-02-17 12:16:58 UTC) #5
edchin
https://codereview.chromium.org/2698183002/diff/1/ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm File ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm (right): https://codereview.chromium.org/2698183002/diff/1/ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm#newcode269 ios/clean/chrome/browser/ui/tab/tab_container_view_controller.mm:269: if (!self.constraints) { On 2017/02/17 12:16:58, marq wrote: > ...
8 months ago (2017-02-17 19:48:09 UTC) #6
marq (ping after 24h)
lgtm
8 months ago (2017-02-21 10:14:16 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2698183002/60001
8 months ago (2017-02-21 22:17:23 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/159279)
8 months ago (2017-02-21 23:25:51 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2698183002/60001
8 months ago (2017-02-22 01:24:22 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) linux_chromium_chromeos_ozone_rel_ng on ...
8 months ago (2017-02-22 03:28:29 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2698183002/60001
8 months ago (2017-02-22 06:54:30 UTC) #17
commit-bot: I haz the power
8 months ago (2017-02-22 08:39:43 UTC) #20
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/464d5670735ec69e99f5b139a17e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa